﻿@model SportsClub.Models.ParentsInformationViewModel
@using Jb.Framework.Common.Forms

@using System.Linq;

@using Jumbula.Common.Helper

@{
    var countries = new List<SelectListItem>();
    var usStates = new List<SelectListItem>();
    var States = new List<SelectListItem>();
    var SelectedState = string.Empty;
}

@{
    countries = Enum.GetValues(typeof(Countries))
.Cast<Countries>()
.Select(d => new SelectListItem { Text = d.ToDescription(), Value = d.ToString() }).ToList();


}

@using (Html.BeginForm("DetailsPlayer", "Registrant", FormMethod.Post, new { @id = "DetailsPlayer", @name = "myForm" }))
{
    @Html.AntiForgeryToken()

    <div class="row">
        <div class="col-md-12">
            <div class="form-group JbFormControll address-line-1">
                <label>Address line 1</label>
                @Html.TextBoxFor(model => model.AddressLine1, new { @class = "form-control" })

            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group JbFormControll address-line-2">
                <label class=" Custom-label">Address line 2</label>
                @Html.TextBoxFor(model => model.AddressLine2, new { @class = "form-control" })

            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label>Country</label>
                @Html.DropDownListFor(model => model.Country, countries,"", new { @class = "form-control select-date", @id = "countries" })

            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>City</label>
                @Html.TextBoxFor(model => model.City, new { @class = "form-control" })

            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label id="lbl-State">State</label>
                    @Html.DropDownListFor(m => m.State, new SelectList(Enumerable.Empty<SelectListItem>(), "Value", "Text"),
                           "Select state", new { @class = "form-control" })

                    @Html.TextBoxFor(model => model.TxtState, new { @class = "form-control", @Id = "TextState" })
        

            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label id="lbl-Zip">ZIP</label>
               
                @Html.TextBoxFor(model => model.Zip, new { @class = "form-control" })

            </div>
        </div>
    </div>

    @Html.Hidden("ContactId", Model.ContactId, new { id = "hdnContactId" })
    @Html.Hidden("PlayerId", Model.PlayerId, new { id = "hdnPlayerId" })
    @Html.Hidden("UserId", Model.UserId, new { id = "hdnUserId" })
    @Html.Hidden("PageMode", Model.PageMode, new { id = "hdnPageMode" })
    @Html.Hidden("PageStep", Model.PageStep, new { id = "hdnPageStep" })

    <div class="row">
        <div class="col-md-12">
            <a onClick="EditDetailsPlayer()" class="btn btn_side-right-bottom btn_color-green">Submit</a>
            <a href="@Url.Action("GetFamiliesProfile", "Registrant")" class="btn btn_side-right-bottom btn_type-simple">Cancel</a>
            <div class="clearfix"></div>
        </div>
    </div>
}





